Bug 82319 - #79218 - Spanish translation missing for desktop menu
Summary: #79218 - Spanish translation missing for desktop menu
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-switchmail (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 83464
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-01-21 07:35 UTC by Paul Gampe
Modified: 2013-01-10 21:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 06:52:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to use intltool instead of pygettext, adding desktop file i18n (25.32 KB, patch)
2003-07-31 01:22 UTC, Miloslav Trmac
no flags Details | Diff

Description Paul Gampe 2003-01-21 07:35:01 UTC
Description of problem:    
The desktop menu entry for redhat-switchmail is not translated, as reported in #79218.    
    
    
Version-Release number of selected component (if applicable):    
    
    
How reproducible:    
Always    
    
Steps to Reproduce:    
1. Install es_ES locale    
2. Login to desktop    
3.    
        
Actual results:    
English menu item    
    
Expected results:    
Spanish translation    
    
Additional info:    
I could not find the desktop item for translation on elvis .

Comment 1 Ngo Than 2003-02-03 22:12:22 UTC
Hmm, it's on elvis.

CVSROOT=:ext:than@elvis.redhat.com:/usr/local/CVS.
Could you please check it out and add the spanish translation for desktio file.
Thanks

Comment 2 Ngo Than 2003-02-05 18:48:42 UTC
Christian, could you please add it in desktop file and send me the diff, if you
cannot check it out from CVS. thanks

Comment 3 Christian Rose 2003-02-05 22:13:44 UTC
A better way of solving this for each and every language would be to use
intltool as mentioned in bug 83464.

Comment 4 Ngo Than 2003-02-21 21:15:07 UTC
Christian, it's too late to do that, but will be done for next release.
It would be good if you could send me the translated desktop file please. So i
can close this bug ;-)

Comment 5 Christian Rose 2003-02-22 12:12:17 UTC
I don't have the Spanish translation...

Comment 6 Miloslav Trmac 2003-07-31 01:22:44 UTC
Created attachment 93282 [details]
Patch to use intltool instead of pygettext, adding desktop file i18n

This patch reworks the redhat-switch-mail i18n to use intltool instead of
pygettext for creating the .pot file, and merging translations to
redhat-switch-mail.desktop.

* *.desktop is a generated file, in sources replaced by *.desktop.in.
* po/POTFILES* are generated files now
* po/redhat-switchmail.pot has been renamed to po/redhat-switch-mail.pot
* intltool should be added to BuildRequires
* The original two translations in the .desktop file have been REMOVED;
  they should be merged back (or created anew) in their respective .po files.
* As a demonstration, an updated Czech translation is included

Additionaly, the patch updates switchmail.sh to look for the right file.

Comment 7 Ngo Than 2003-08-14 19:41:18 UTC
The redhat-switch-mail-0.5.20-1 has now this patch, which uses intltool. Many
thanks to Miloslav Trmac!

There are still some untranlated in po files. It would be nice if someone could
translate them please. Thanks


Note You need to log in before you can comment on or make changes to this bug.